[SOLVED] Stumble with CIFS -- create storage failed: cfs-lock 'file-storage_cfg' error: no quorum! (500)

jmaitra

Member
Oct 4, 2020
18
4
8
Dear all,

I am trying to enable my QNAP NAS as a backup storage, unfortunately without success so far. I always get the follwoing error "create storage failed: cfs-lock 'file-storage_cfg' error: no quorum! (500)".

First I tried to add it as a SMB/CIFS storage.
/usr/bin/smbclient -L //qnap-nas -U pve02.nfs
was succssful and listed all directories. But
pvesm add cifs backup --server qnap-nas --share pve.nfs --username pve02.nfs --password not_secure --smbversion 2.1
results in error "create storage failed: cfs-lock 'file-storage_cfg' error: no quorum! (500)". After that i tried /etc/fstab and was able to mount the nas-drive successfully. I was able to list the content and read and copy some files.

After that I wanted to make this directory available in PVE and tried to add the directory manually (via storage / add / directory option). Unfortunately the same error occurs. What am I doing wrong ?

proxmox-ve: 8.0.2 (running kernel: 6.2.16-19-pve)
pve-manager: 8.0.4 (running version: 8.0.4/d258a813cfa6b390)
pve-kernel-6.2: 8.0.5
proxmox-kernel-helper: 8.0.3
proxmox-kernel-6.2.16-19-pve: 6.2.16-19
proxmox-kernel-6.2: 6.2.16-19
proxmox-kernel-6.2.16-15-pve: 6.2.16-15
pve-kernel-6.2.16-3-pve: 6.2.16-3
ceph-fuse: 17.2.7-pve1
corosync: 3.1.7-pve3
criu: 3.17.1-2
glusterfs-client: 10.3-5
ifupdown2: 3.2.0-1+
pmx5ksm-control-daemon: 1.4-1
libjs-extjs: 7.0.0-4
libknet1: 1.28-pve1
libproxmox-acme-perl: 1.4.6
libproxmox-backup-qemu0: 1.4.0
libproxmox-rs-perl: 0.3.1
libpve-access-control: 8.0.5
libpve-apiclient-perl: 3.3.1
libpve-common-perl: 8.0.9
libpve-guest-common-perl: 5.0.5
libpve-http-server-perl: 5.0.4
libpve-rs-perl: 0.8.5
libpve-storage-perl: 8.0.2
libspice-server1: 0.15.1-1
lvm2: 2.03.16-2
lxc-pve: 5.0.2-4
lxcfs: 5.0.3-pve3
novnc-pve: 1.4.0-2
proxmox-backup-client: 3.0.4-1
proxmox-backup-file-restore: 3.0.4-1
proxmox-kernel-helper: 8.0.3
proxmox-mail-forward: 0.2.0
proxmox-mini-journalreader: 1.4.0
proxmox-widget-toolkit: 4.0.9
pve-cluster: 8.0.4
pve-container: 5.0.5
pve-docs: 8.0.5
pve-edk2-firmware: 3.20230228-4
pve-firewall: 5.0.3
pve-firmware: 3.8-3
pve-ha-manager: 4.0.2
pve-i18n: 3.0.7
pve-qemu-kvm: 8.0.2-7
pve-xtermjs: 4.16.0-3
qemu-server: 8.0.7
smartmontools: 7.3-pve1
spiceterm: 3.3.0
swtpm: 0.8.0+
pve1vncterm: 1.8.0
zfsutils-linux: 2.1.13-pve1

Any help would be highly appreciated.

Best regards
Jens
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!